import { reactive, ref } from "vue";
import request from '@/utils/request'

export default function useMenu() {
  const menus = reactive([])
  const curMenu = ref()

  const getMenus = (user, path = '', repo = 'my-note') => {
    const { access_token } = user.token
    return request.get(`/api/v5/repos/${user.login}/${repo}/contents/${path}`, { params: { access_token } })
  }

  return {
    curMenu,
    menus,
    getMenus,
  }
}
